var fs = require('fs');
// var filePath = '../../package.json';
var filePath = './package.json';
var cmd = require('node-cmd');
function extend(target, obj) {
	for (var key in obj) {
		target[key] = obj[key];
	}
	return target;
}

function getObjKeys(obj) {
	var toString = Object.prototype.toString;
	var isObj = toString.call(obj) === '[object Object]';
	if (!isObj) {
		throw new Error('please input a object');
	}
	var keys = [];
	for (var key in obj) {
		keys.push(key);
	}
	return keys;
}

module.exports = {
	getMoudleStr: function() {
		fs.readFile(filePath, {encoding: 'utf8'}, function(err, data) {
			if (err) throw err;
			var data = JSON.parse(data);
			var devDependencies = data['devDependencies'] || {};
			var dependencies = data['dependencies'] || {};
			var keys = (getObjKeys(extend(devDependencies, dependencies))).join(' ');

			var cliStr = 'npm uni ' + keys;
			cmd.get(
				cliStr,
			    function(data){
			    	console.log('all nodemodules in package.json were deleted');
			    }
			);
		});


	}
};